### Enumeration

# AppStream ChassisKind

#### Declaration

    enum AppStream.ChassisKind

#### Description [src]

The type of chassis a computing device is built into.

#### Members

`AS_CHASSIS_KIND_UNKNOWN`

  Unknown chassis.

  - Value: `0`
  - Available since: 1.0
`AS_CHASSIS_KIND_DESKTOP`

  A desktop/workstation.

  - Value: `1`
  - Available since: 1.0
`AS_CHASSIS_KIND_LAPTOP`

  A mobile computer with a bigger screen / laptop.

  - Value: `2`
  - Available since: 1.0
`AS_CHASSIS_KIND_SERVER`

  A server, often without GUI.

  - Value: `3`
  - Available since: 1.0
`AS_CHASSIS_KIND_TABLET`

  A tablet with touch as primary input method.

  - Value: `4`
  - Available since: 1.0
`AS_CHASSIS_KIND_HANDSET`

  A smaller touch-input device, like a smartphone.

  - Value: `5`
  - Available since: 1.0

#### Type functions

###### as_chassis_kind_from_string

Converts the text representation to an enumerated value.

since: 1.0.0

###### as_chassis_kind_to_string

Converts the enumerated value to a text representation.

since: 1.0.0